com.atid.lib.types

## Enum ModuleRfidUhfType

- java.lang.Object
- - java.lang.Enum<ModuleRfidUhfType>
  - - com.atid.lib.types.ModuleRfidUhfType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<ModuleRfidUhfType>

      public enum ModuleRfidUhfType
      extends java.lang.Enum<ModuleRfidUhfType>
      implements IEnumType

  The ModuleRfidUhfType enumeration indicates the type of RFID UHF Module installed in the instrument.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AT6EM`
    `AT9200P`
    `ATR2000S`
    `ATR500S`
    `I2000MI`
    `I900MA`
    `None`
    `PHYCHIPS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static ModuleRfidUhfType` | `valueOf(int code)`
    `static ModuleRfidUhfType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ModuleRfidUhfType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final ModuleRfidUhfType None

    - #### I900MA

          public static final ModuleRfidUhfType I900MA

    - #### I2000MI

          public static final ModuleRfidUhfType I2000MI

    - #### AT6EM

          public static final ModuleRfidUhfType AT6EM

    - #### AT9200P

          public static final ModuleRfidUhfType AT9200P

    - #### ATR500S

          public static final ModuleRfidUhfType ATR500S

    - #### ATR2000S

          public static final ModuleRfidUhfType ATR2000S

    - #### PHYCHIPS

          public static final ModuleRfidUhfType PHYCHIPS

  - ### Method Detail

    - #### values

          public static ModuleRfidUhfType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModuleRfidUhfType c : ModuleRfidUhfType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModuleRfidUhfType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<ModuleRfidUhfType>`

    - #### valueOf

          public static ModuleRfidUhfType valueOf(int code)